using IOB_UT_NEXT;
using IOB_WIN_FANUC.Iob;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IOB_WIN_FANUC
{
    public class AdapterFormNext : IOB_WIN_FORM.AdapterForm
    {
        #region Public Constructors

        /// <summary>
        /// Avvio MainForm
        /// </summary>
        /// <param name="codIOB"></param>
        public AdapterFormNext(string codIOB) : base(codIOB)
        {
        }

        #endregion Public Constructors

        #region Protected Methods

        /// <summary>
        /// carica IOB richiesto
        /// </summary>
        protected override async Task loadIobType()
        {
            if (IOBConfFull != null)
            {
                switch (tipoScelto)
                {
                    case tipoAdapter.FANUC:
                        iobObj = new Iob.Fanuc(this, IOBConfFull);
                        btnStart.Enabled = true;
                        break;

                    case tipoAdapter.SIMULA:
                    case tipoAdapter.ND:
                    default:
                        iobObj = new IOB_WIN_FORM.Iob.Simula(this, IOBConfFull);
                        btnStart.Enabled = false;
                        break;
                }
                if (!await iobInitAsync())
                {
                    return;
                }
                UpdateDisplTypeIobSel();
            }
        }

        #endregion Protected Methods
    }
}